RC-ALERT(1)

BEZEICHNUNG
rc-alert - sucht nach installieren Paketen mit release-kritischen Fehlern

ÜBERSICHT
rc-alert [Aufnahmeoptionen] [--debtags [Markierung[,Markierung …]]] [--popcon] [Paket …]
rc-alert --help|--version

BESCHREIBUNG
rc-alert lädt die Liste der release-kritischen Fehler von den Websites der Debian-Fehlerdatenbank herunter und gibt dann eine Liste der auf dem System installierten Pakete oder der auf der Befehlszeile angegebenen Pakete aus, die auf dieser Liste stehen.

Falls das Verzeichnis $XDG_CACHE_HOME/devscripts/rc-alert existiert oder die Option --cache angegeben wurde, wird die (ziemlich große) heruntergeladene Liste zwischengespeichert und bei einem zweiten Aufruf nur erneut geladen, falls sie sich geändert hat.

OPTIONEN

--cache
    erzwingt das Erstellen des Zwischenspeicherverzeichnisses $XDG_CACHE_HOME/devscripts/rc-alert.

--help, -h
    zeigt eine Zusammenfassung der Optionen.

--version, -v
    zeigt die Version und Copyright-Informationen.

Es ist außerdem möglich, die gemeldete Fehlerliste anhand der mit dem Paket verbundenen Markierungen und Distributionen zu filtern. Die Filteroptionen sind:

--include-tags, -f
    eine Liste der Markierungen, die der Fehlerbericht haben muss, in dem für die Ausgabe benutzten Format. Um zum Beispiel Fehler einzuschließen, die mit »security« oder »help wanted« markiert sind, verwenden Sie »SH«.

--include-tag-op, -t
    Falls dies auf and gesetzt ist, muss ein Fehlerbericht alle durch --include-tags angegebenen Markierungen haben.

--exclude-tags
    eine Liste der Markierungen, die der Fehlerbericht nicht haben darf, im selben Format wie für --include-tags.

--exclude-tag-op
    Falls dies auf and gesetzt ist, darf ein Fehlerbericht keine durch --exclude-tags angegebenen Markierungen haben. Standardmäßig wird der Fehlerbericht ausgenommen, falls irgendeine Markierung passt.

--include-dists, -d
    eine Liste der Distributionen, für die der Fehlerbericht gelten muss, in dem für die Ausgabe benutzten Format. Um zum Beispiel Fehler einzuschließen, die Testing oder Unstable betreffen, verwenden Sie »TU«.

--include-dist-op, -o
    Falls dies auf and gesetzt ist, muss ein Fehlerbericht für alle angegebenen Distributionen gelten, um enthalten zu sein.

--exclude-dists
    eine Liste der Distributionen, für die der Fehlerbericht nicht gelten darf, im selben Format wie für --include-dists.

--exclude-dist-op
    Falls dies auf and gesetzt ist, muss ein Fehlerbericht für alle angegebenen Distributionen gelten, um ausgenommen zu werden. Standardmäßig wird der Fehler ausgeschlossen, wenn er für irgendeine der aufgeführten Distributionen gilt.

Es ist außerdem möglich, nur die Fehler aufzuführen, bei denen eine spezielle Gruppe von Debtags gesetzt ist. Beachten Sie, dass Debtags installiert sein muss und Paketbetreuer außerdem nicht verpflichtet sind, ordnungsgemäße Debian-Markierungen zu setzen. Die erzeugte Liste wird daher wahrscheinlich unvollständig sein.

--debtags
    entspricht Paketen basierend auf aufgeführten Markierungen. Jedes Paket passt nur, falls es alle aufgeführten Markierungen hat; im Fall mehrerer Markierungen innerhalb des gleichen Aspekts passt ein Paket, falls es irgendeine der innerhalb des Aspekts aufgeführten Markierungen hat.

--debtags-database
    benutzt eine Debtags-Datenbank, die nicht Standard ist. Vorgabe ist /var/lib/debtags/packages-tags.

Der Beliebtheitswettbewerb (Popcon) sammelt Daten über die Installation und die Benutzung von Debian-Paketen. Sie können Fehler zusätzlich zum Popcon-Rang des zugehörigen Pakets sortieren.

--popcon
    sortiert Fehler nach dem Popcon-Rang des Pakets, zu dem der Fehler gehört.

--pc-vote
    Standardmäßig werden Pakete nach der Anzahl der Leute sortiert, die das Paket installiert haben. Diese Option aktiviert stattdessen die Sortierung nach der Anzahl der Leute, die das Paket regelmäßig nutzen. Diese Option hat in Kombination mit --pc-local keine Auswirkungen.

--pc-local
    Anstatt Daten aus der Ferne abzufragen, wird die Information aus dem letzten Popcon-Durchlauf benutzt (/var/log/popularity-contest).

BEISPIELE

--include-dists OS
    Der Fehler muss mindestens für Oldstable oder Stable gelten.

--include-dists TU --include-dist-op and
    Der Fehler muss sowohl für Testing als auch für Unstable gelten.

--include-dists O --include-tags S --exclude-tags +
    Der Fehler muss für Oldstable gelten und mit »security« aber nicht mit »patch« markiert sein.

--exclude-dists SOT --include-tags R
    der Fehler darf nur für Unstable oder Experimental (oder beide) gelten und muss als »unreproducible« markiert sein.

--debtags implemented-in::perl,role::plugin,implemented-in::python
    Der Fehler muss für Pakete gelten, die zu den angegebenen Debtags passen, d.h. der Treffer wird nur Pakete enthalten, die die Markierung »role::plugin« und entweder die Markierung »implemented-in::perl« oder »implemented-in::python« haben.

--popcon --pc-local
    liest /var/log/popularity-contest und sortiert Fehler nach Ihrer persönlichen Popcon-Rangordnung (die im Grunde die Atime der Programme Ihrer Pakete ist).

FEHLER
Es ist nicht möglich zu sagen, »gilt nicht nur für Unstable«.

SIEHE AUCH
debtags(1), popbugs(1), popularity-contest(8)

AUTOR
rc-alert wurde von Anthony DeRobertis geschrieben und von Julian Gilbey <jdg@debian.org> und Adam D. Barratt <adam@adam-barratt.org.uk> für das Paket Devscripts angepasst. Die Debtags- und Popcon-Funktionalität wurde von Jan Hauke Rahm <info@jhr-online.de> hinzugefügt.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.